FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Classes | Namespaces
ref.hpp File Reference

Go to the source code of this file.

## Classes
class | ConstRef< T >
| An adapter. Own or reference an immutable object. More...
class | Ref< T >
| An adapter. Own or reference an mutable object. More...
class | StringRef
| An adapter. Own or reference a constant string. For convenience, this class convert multiple mutable string toward a shared representation. More...
class | ConstStringRef
| An adapter. Own or reference a constant string. For convenience, this class convert multiple immutable string toward a shared representation. More...
class | ConstStringListRef
| An adapter. Reference a list of strings. More...
class | ConstStringListRef::Adapter

## Namespaces
namespace | ftxui
| The FTXUI ftxui:: namespace.